import {ru} from '@formkit/i18n';
import * as allIcons from '@formkit/icons';
import {rootClasses} from './formkit.theme.mjs';

// Собираем все иконки в плоский объект
const icons = {};
Object.values(allIcons).forEach(group => {
    if (typeof group === 'object') {
        Object.assign(icons, group);
    }
});

const config = {
    locales: {ru},
    locale: 'ru',
    icons: {
        ...icons,
    },
    config: {
        rootClasses,
    },
};

export default config;
